#!/usr/bin/env python
from distutils.core import setup, Extension
#import sys; sys.path.append("src")
#from version import version

version = open("debian/changelog").readline().split(' ', 2)[1].strip('()')

# list of packages
#
packages = ["grml",
            "grml.hg"]

#
# list of data files to be installed
#
#data_files = [('/etc', ['conf/pytonerc'])]

#
# list of scripts to be installed
#
# Note that we (ab-)use distutils scripts option to install our wrapper
# files (hopefully) at the correct location.
#scripts=['pytone', 'pytonectl']

#
# additional package metadata
#
#classifiers = ["Development Status :: 5 - Production/Stable",
#               "Environment :: Console :: Curses",
#               "Intended Audience :: End Users/Desktop",
#               "License :: OSI Approved :: GNU General Public License (GPL)",
#               "Programming Language :: Python",
#               "Topic :: Multimedia :: Sound/Audio :: Players"]
#
#if sys.version_info >= (2, 3):
#    addargs = {"classifiers": classifiers}
#else:
#    addargs = {}

setup(name="Grml",
      version=version,
      description="Python lib used in grml packages",
      author="Michael Gebetsroither",
      author_email="gebi@grml.org",
      url="http://hg.grml.org/grml-pylib",
      license="GPLv2",
      package_dir={"grml": "lib"},
      packages=packages,
      #data_files=data_files,
      #scripts=scripts,
      )
